"use client";
import { jsx as t } from "react/jsx-runtime";
import { Root as l, Fallback as o, Image as s } from "../../node_modules/@radix-ui/react-avatar/dist/index.js";
import { cn as r } from "../../lib/utils.js";
function f({
  className: a,
  ...e
}) {
  return /* @__PURE__ */ t(
    l,
    {
      "data-slot": "avatar",
      className: r(
        "relative flex size-8 shrink-0 overflow-hidden rounded-full",
        a
      ),
      ...e
    }
  );
}
function u({
  className: a,
  ...e
}) {
  return /* @__PURE__ */ t(
    s,
    {
      "data-slot": "avatar-image",
      className: r("aspect-square size-full", a),
      ...e
    }
  );
}
function m({
  className: a,
  ...e
}) {
  return /* @__PURE__ */ t(
    o,
    {
      "data-slot": "avatar-fallback",
      className: r(
        "bg-d-secondary flex size-full items-center justify-center rounded-full",
        a
      ),
      ...e
    }
  );
}
export {
  f as Avatar,
  m as AvatarFallback,
  u as AvatarImage
};
